Subject: bug#15797: 24.3.50; Info: Mention cache-long-scans

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Nov 2013 22:56:20 +0200

> Date: Wed, 6 Nov 2013 10:58:55 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > BTW, when cache-long-scans t works now, is there any benefit in
> > > setting it nil?
> > 
> > We will shortly turn it on by default, as you see from the rest of
> > this discussion.
> 
> Only for visual-line-mode, or in general?  Only when there are
> actually long lines in the buffer, or in general?

Always.

> And the question was not just about the default behavior, but
> whether there is (ever) any benefit in setting it to nil.

There's overhead of having it non-nil, but it is small, or so we
think.

> The variable is always buffer-local.  If it will be on by default,
> will it ever be turned off?

When the user does that.

> I assume I can turn it off explicitly in a given buffer, but what
> else might turn it off?

Nothing.

> Also, I wonder about this part of the doc (I don't have the C
> source code to check what it really does):
> 
>   "If `cache-long-scans' is non-nil, these motion functions cache
>    the results of their scans"
> 
> That does not say that they cache only the result of scanning long
> lines.  Is that correct?

Yes.

> Do they cache the result of scanning even short lines?

Yes.